INCLUDES=-I${top_srcdir} @AKAXISO_INCLUDES@
bin_PROGRAMS=osixaka
check_PROGRAMS=validate test_parser

osixaka_SOURCES=schema.h \
	schema_xiso.cpp schema_xiso.h \
	classgen.cpp classgen.h \
	classcontents.cpp classcontents.h \
	type_registory.cpp type_registory.h \
	exception.h \
	osixaka.cpp

osixaka_LDADD=../akaxiso/libakaxiso.la
osixaka_LDFLAGS=-L/usr/local/lib @AKAXISO_LIBS@

validate_SOURCES=schema.h \
		schema_xiso.cpp schema_xiso.h \
		validate.cpp

validate_LDADD=../akaxiso/libakaxiso.la
validate_LDFLAGS=-L/usr/local/lib @AKAXISO_LIBS@

#for tests.
test_parser_SOURCES=xiso.cpp xiso.h element.h testmain.cpp
test_parser_LDADD=../akaxiso/libakaxiso.la
test_parser_LDFLAGS=-L/usr/local/lib @AKAXISO_LIBS@

test: ${bin_PROGRAMS}
	@echo "Run tests."
	@./test.sh
